Bug 875375 - Event log - a method to bypass flood filtering
Event log - a method to bypass flood filtering
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: mkublin
Pavel Stehlik
infra
: Improvement
Depends On:
Blocks: bootstrap-rewrite 915537
  Show dependency treegraph
 
Reported: 2012-11-10 16:19 EST by Alon Bar-Lev
Modified: 2016-02-10 14:29 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
dyasny: Triaged+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 9148 None None None Never

  None (edit)
Description Alon Bar-Lev 2012-11-10 16:19:29 EST
Currently we filter event log per message type.

If we have two DIFFERENT warnings or two DIFFERENT errors produced at same time (more or less), one gets filtered.

These errors or warnings may be important so blindly filter is not something that should be done.

Options:

1. Filter based on message type and message text.

2. Add some unique id to messages that must not be filtered. This unique id will be modified by producer for every message that must bypass filtering.
Comment 1 Itamar Heim 2012-11-11 01:54:46 EST
can you please give a concerete example/use case?
(I'm guessing this is related to warning from bootstrap...)
Comment 2 Alon Bar-Lev 2012-11-11 03:44:17 EST
(In reply to comment #1)
> can you please give a concerete example/use case?
> (I'm guessing this is related to warning from bootstrap...)

Right.

Bootstrap infos, warnings, errors messages are sent via generic log types of info, warning, error.

Warnings and errors that received from host, such as approving gpg key, manual intervention action or errors should be displayed for user to see and act.

Infos can be filtered at will.
Comment 3 Eli Mesika 2012-11-11 05:29:32 EST
http://gerrit.ovirt.org/#/c/9148
Comment 18 Alon Bar-Lev 2013-02-28 05:36:35 EST
Modified, per test-case is not correct with current message definition.
What important is that warnings are not lost now.
I suggest closing this.
Comment 20 Itamar Heim 2013-06-11 05:50:39 EDT
3.2 has been released
Comment 21 Itamar Heim 2013-06-11 05:50:45 EDT
3.2 has been released
Comment 22 Itamar Heim 2013-06-11 05:58:18 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.